gr::lte::pss_symbol_selector_cvc Class Reference

Extract symbols where PSS is assumed. More...

`#include <pss_symbol_selector_cvc.h>`

Inheritance diagram for gr::lte::pss_symbol_selector_cvc:
[legend]

## Public Types

typedef boost::shared_ptr< pss_symbol_selector_cvc > | sptr

## Static Public Member Functions

static sptr | make (int fftl, std::string name="pss_symbol_selector_cvc")
| Return a shared_ptr to a new instance of lte::pss_symbol_selector_cvc.

## Detailed Description

Extract symbols where PSS is assumed.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pss_symbol_selector_cvc> gr::lte::pss_symbol_selector_cvc::sptr

## Member Function Documentation

## make()

static sptr gr::lte::pss_symbol_selector_cvc::make | ( | int | fftl,
|  | std::string | name = "pss_symbol_selector_cvc" )

static

Return a shared_ptr to a new instance of lte::pss_symbol_selector_cvc.

To avoid accidental use of raw pointers, lte::pss_symbol_selector_cvc's constructor is in a private implementation class. lte::pss_symbol_selector_cvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- pss_symbol_selector_cvc.h